<?php
// teams main page
$page['header'] = LBL_MYTEAMS;
$page['javascript'] = "<script src='javascript/actions.js' type='text/javascript'></script>\n";

$actions['find']['show'] = true;
$actions['add']['show'] = true;
if (!may_create_groups()) $actions['add']['enabled'] = false;
$actions['members']['show'] = true;
$actions['leave']['show'] = true;
$actions['edit']['show'] = true;
$page['actions'] = show_actions($actions);

$page['content'] = "";

$gr = new_grouper();
if (!$gr->isConnected()) {
  $page['errors'][] = ERROR_GROUPER_CONNECT;
  return;
}

$groups = $gr->getSubjectGroups($uuid);
if ($groups == -1) {
  $page['errors'][] = ERROR_GROUPER_COMMUNICATE;
  return;
}

$page['content'] .= "<form method='post' action='.' name='teamlist'>\n";

// Remember total number of teams (to display page links)
if ($groups_count = count($groups)) {
  $page['content'] .= paginate($groups_count, $offset, $max_groups, $max_pages, $p);

  $page['content'] .= "<table class='alternating teams'>\n";
  $page['content'] .= "<tr>";
  $page['content'] .= "<td width='1'></td>";
  $page['content'] .= "<td>" . LBL_MYTEAMS_COL_NAME . "</td><td>" . LBL_MYTEAMS_COL_DESCRIPTION . "</td><td>" . LBL_MYTEAMS_COL_ROLE . "</td><td>" . LBL_MYTEAMS_COL_MEMBERS ."</td></tr>\n";

  // Slice the $groups array, according to $offset and $max_groups
  $groups = array_slice($groups, ($offset - 1) * $max_groups, $max_groups);

  $row = 0;
  foreach ($groups as $key => $group) {
    $privs = $gr->getSubjectGroupPrivileges($uuid, $group['id']);
    $group['role'] = privileges2role($privs);
    $group['members'] = count($gr->getGroupMembers($group['id']));
    $page['content'] .= "<tr" . ($row++%2?"":" class='even'") . ">";
    $page['content'] .= "<td><input type='radio' name='group_id' onClick='check_radio(this);' class='" . $group['role'] . "' value='" . $group['id'] . "'></td>";
    $page['content'] .= "<td>" . htmlspecialchars($group['name']) . "</td><td>" . htmlspecialchars($group['description']) . "</td>";
    $page['content'] .= "<td>" . $roles[$group['role']] . "</td><td>" . $group['members'] . "</td>";
    $page['content'] .= "</tr>\n";
  }
  $page['content'] .= "</table>\n";
} else {
  $page['content'] .= LBL_MYTEAMS_NOTEAMSFOUND;
}

$page['content'] .= "</form>\n";

?>
